Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIExtendedDataTable.Properties

    java.lang.Object
      java.lang.Enum<UIExtendedDataTable.Properties>
          org.richfaces.component.UIExtendedDataTable.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIExtendedDataTable.Properties>

Enclosing class:
  UIExtendedDataTable

    protected static enum UIExtendedDataTable.Properties

extends Enum<UIExtendedDataTable.Properties>

Enum Constant Summary
`columnClasses`
`columnsOrder`
`filterVar`
`footerClass`
`frozenColumns`
`headerClass`
`noDataLabel`
`onbeforeselectionchange`
`onready`
`onrowclick`
`onrowdblclick`
`onrowkeydown`
`onrowkeypress`
`onrowkeyup`
`onrowmousedown`
`onrowmousemove`
`onrowmouseout`
`onrowmouseover`
`onrowmouseup`
`onselectionchange`
`rowClass`
`rowClasses`
`selection`
`selectionMode`
`sortMode`
`sortPriority`
`style`
`styleClass`
`tableState`

Method Summary
`static UIExtendedDataTable.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIExtendedDataTable.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### columnClasses

    public static final UIExtendedDataTable.Properties columnClasses

### columnsOrder

    public static final UIExtendedDataTable.Properties columnsOrder

### filterVar

    public static final UIExtendedDataTable.Properties filterVar

### footerClass

    public static final UIExtendedDataTable.Properties footerClass

### frozenColumns

    public static final UIExtendedDataTable.Properties frozenColumns

### headerClass

    public static final UIExtendedDataTable.Properties headerClass

### noDataLabel

    public static final UIExtendedDataTable.Properties noDataLabel

### onbeforeselectionchange

    public static final UIExtendedDataTable.Properties onbeforeselectionchange

### onready

    public static final UIExtendedDataTable.Properties onready

### onrowclick

    public static final UIExtendedDataTable.Properties onrowclick

### onrowdblclick

    public static final UIExtendedDataTable.Properties onrowdblclick

### onrowkeydown

    public static final UIExtendedDataTable.Properties onrowkeydown

### onrowkeypress

    public static final UIExtendedDataTable.Properties onrowkeypress

### onrowkeyup

    public static final UIExtendedDataTable.Properties onrowkeyup

### onrowmousedown

    public static final UIExtendedDataTable.Properties onrowmousedown

### onrowmousemove

    public static final UIExtendedDataTable.Properties onrowmousemove

### onrowmouseout

    public static final UIExtendedDataTable.Properties onrowmouseout

### onrowmouseover

    public static final UIExtendedDataTable.Properties onrowmouseover

### onrowmouseup

    public static final UIExtendedDataTable.Properties onrowmouseup

### onselectionchange

    public static final UIExtendedDataTable.Properties onselectionchange

### rowClass

    public static final UIExtendedDataTable.Properties rowClass

### rowClasses

    public static final UIExtendedDataTable.Properties rowClasses

### selection

    public static final UIExtendedDataTable.Properties selection

### selectionMode

    public static final UIExtendedDataTable.Properties selectionMode

### sortMode

    public static final UIExtendedDataTable.Properties sortMode

### sortPriority

    public static final UIExtendedDataTable.Properties sortPriority

### style

    public static final UIExtendedDataTable.Properties style

### styleClass

    public static final UIExtendedDataTable.Properties styleClass

### tableState

    public static final UIExtendedDataTable.Properties tableState

Method Detail

### values

    public static UIExtendedDataTable.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIExtendedDataTable.Properties c : UIExtendedDataTable.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIExtendedDataTable.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.